package muyu.data.test.common.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据模型，字段值
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataModel {
    /**
     * 键 字段名
     */
    private String key;
    /**
     * 值 字段值
     */
    private Object val;
    /**
     * 原标准 原类型
     */
    private String sourceType;
    /**
     * 处理标准
     */
    private String processType;
    /**
     * 处理类型
     */
    private Class<?> processClass;
}
