package muyu.data.test.common.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据模型
 * @ClassName DataModel
 * @Author 森静若林
 * @Date 2024/5/5 18:48
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataModel {
    /**
     * 键
     */
    private String key;

    /**
     * 值
     */
    private Object val;

    /**
     * 原标准
     */
    private String sourceType;

    /**
     * 处理标准
     */
    private String processType;

    /**
     * 处理类型
     */
    private Class<?> processClass;
}
