package com.muyu.goods.clinet.config.runner;

import com.muyu.common.core.domain.Result;
import com.muyu.edition.domain.RuleEngine;
import com.muyu.goods.edition.remote.RemoteDataManagerService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.List;

@Log4j2
@Component
@Configuration
public class GoodsEditionConfigRunner implements ApplicationRunner {
    @Autowired
    private RemoteDataManagerService remoteDataManagerService;
    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<RuleEngine>> list = remoteDataManagerService.list();
        log.info("获取远程：{}",list);
    }
}
