package com.muyu.edition.engine.action;

import lombok.Getter;
import lombok.Setter;
import lombok.extern.log4j.Log4j2;

/**
 * 记录动作
 * @ClassName ActionRecords
 * @Author 森静若林
 * @Date 2024/5/13 22:31
 */
@Getter
@Setter
@Log4j2
public class ActionRecords extends RuntimeException{
    /**
     * 名称
     */
    private String name="记录";

    /**
     * 数据模型
     */
    private Object object;

    public ActionRecords(Object object) {
        this.object = object;
    }

    public void records(){
        log.info("记录的数据是:{}",this.object);
    }
}
