package com.muyu.edition.engine.action;

import com.muyu.edition.model.DataModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 移除动作
 * @ClassName ActionRemove
 * @Author: 森静若林
 * @Date: 2024/5/6 13:48
 */
@Setter
@Getter
public class ActionRemove extends RuntimeException{
    /**
     * 名称
     */
    private String name="移除";
    /**
     * 数据模型
     */
    private DataModel dataModel;

    public ActionRemove(DataModel dataModel) {
        this.dataModel = dataModel;
    }

    public void remove(){
        this.dataModel.setValue(null);
    }

}
