package muyu.data.test.common.engine.action;

import com.muyu.edition.model.DataModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 替换动作
 * @ClassName ActionReplace
 * @Author: 森静若林
 * @Date: 2024/5/6 13:48
 */
@Getter
@Setter
public class ActionReplace extends RuntimeException{
    /**
     * 名称
     */
    private String name="替换";
    /**
     * 新值
     */
    private String newValue;
    /**
     * 数据模型
     */
    private DataModel dataModel;

    public ActionReplace(String newValue,DataModel dataModel) {
        super();
        this.newValue = newValue;
        this.dataModel = dataModel;
    }

    public ActionReplace() {
        super();
    }

    public void replace(){
        this.dataModel.setValue(this.newValue);
    }
}
