package com.data.test.server.impl;

import com.data.test.server.TestService;
import com.muyu.common.core.domain.Result;
import muyu.data.test.clinet.config.AccessConfig;
import muyu.data.test.clinet.config.DataEditionConfig;
import muyu.data.test.common.model.DataModel;
import muyu.data.test.common.req.TestDataModelReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.util.List;

@Service
public class TestServiceImpl implements TestService {
    @Autowired
    private AccessConfig accessConfig;
    @Autowired
    private DataEditionConfig dataEditionConfig;
    @Override
    public List<DataModel> getRabdomData(Long id, String tableName, Integer ruleLevel) throws SQLException {
        return accessConfig.getRabdomData(id,tableName,ruleLevel);
    }

    @Override
    public List<List<DataModel>> getColumn(Long id, String tableName, Integer ruleLevel) {
        return accessConfig.getColumn(id,tableName,ruleLevel);
    }

    @Override
    public Object setColumn(TestDataModelReq testDataModelReq) {
        return dataEditionConfig.setColumn(testDataModelReq);
    }

    @Override
    public void editionInitialize() {
        dataEditionConfig.editionInitialize();
    }
}
