package com.muyu.edition.domain.vo;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 规则引擎对象 rule_engine
 *
 * @author goods
 * @date 2024-05-02
 */
@Data
public class RuleEngineVO {

    /**
     * 主键
     */
    private Long ruleId;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private String ruleName;

    /**
     * 引擎编码
     */
    @Excel(name = "引擎编码")
    private String ruleCode;

    /**
     * 规则级别
     */
    @Excel(name = "规则级别")
    private Integer ruleLevel;

    /**
     * 规则类型
     */
    @Excel(name = "规则类型")
    private Integer ruleType;

    /**
     * 是否激活
     */
    @Excel(name = "是否激活")
    private String ruleIsActivate;

    /**
     * 规则状态
     */
    @Excel(name = "规则状态")
    private String ruleStatus;

    /**
     * 规则描述
     */
    @Excel(name = "规则描述")
    private String description;
}
