package com.muyu.goods.edition.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.edition.domain.Edition;
import com.muyu.goods.edition.remote.EditionDataRemoteService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * 熔断
 */
public class EditioMangFarory implements FallbackFactory<EditionDataRemoteService> {
    @Override
    public EditionDataRemoteService create(Throwable cause) {
        return new EditionDataRemoteService() {
            @Override
            public Result<List<Edition>> lists() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
