package com.muyu.system.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.system.domain.vo.DataModel;
import com.muyu.system.service.TestSystemService;
import com.mysql.cj.x.protobuf.MysqlxCrud;
import org.apache.poi.util.Internal;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("extract")
public class TestSystemController extends BaseController {
    @Autowired
    private TestSystemService testSystemService;

    @GetMapping("/getRandomDate")
    public Result<List<List<DataModel>>> getRandomDate(Long id,String tableName,Integer cope){
        return success(testSystemService.getRandomDate(id,tableName,cope));
    }
}
